Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

Gets the errors from the instinct system

Request

Security
Bearer
Query
offsetinteger(int32)
limitinteger(int32)
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/errors?offset=0&limit=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The instinct errors

Bodyapplication/json
totalItemCountinteger(int32)
currentOffsetinteger(int32)
itemsArray of objects or null(InstinctErrorItem)
Response
application/json
{ "totalItemCount": 0, "currentOffset": 0, "items": [ {} ] }

Gets a specific Instinct error by id

Request

Security
Bearer
Path
errorIdstring

The Instinct id for the error

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/errors/{errorId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The instinct error details

Bodyapplication/json
idstring or null
codeinteger or null(int32)
innerErrorobject(InstinctErrorDetails)Recursive
messagestring or null
typestring or null
severityinteger(int32)(ErrorDetailSeverity)
Enum"Warning""Error"
datestring or null(date-time)
handledDateTimestring or null(date-time)
handledboolean
responsesArray of strings or null
groupIdstring or null
Response
application/json
{ "id": "string", "code": 0, "innerError": {}, "message": "string", "type": "string", "severity": "Warning", "date": "2019-08-24T14:15:22Z", "handledDateTime": "2019-08-24T14:15:22Z", "handled": true, "responses": [ "string" ], "groupId": "string" }

Handles an error based on the selected response

Request

A runtime error is sent over the error socket. Handling of the error is done via this PUT

Security
Bearer
Bodyapplication/json
idstring or null
groupIdstring or null
errorDataArray of objects or null(RuntimeError)
selectedResponsestring or null
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/errors/runtime' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "groupId": "string",
    "errorData": [
      {
        "id": "string",
        "selectedResponse": "string"
      }
    ],
    "selectedResponse": "string"
  }'

Responses

The instinct error was handled properly

Response
No content

Checks the Instinct system for any unhandled pending errors

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/errors/check-for-pending-errors' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The pending errors

Bodyapplication/jsonArray [
idstring or null
titlestring or null
messagestring or null
errorResponsesArray of objects or null(ErrorResponse)
selectedResponsestring or null
timeStampstring(date-time)read-only
severitystring or null
groupIdstring or null
errorDataArray of objects or null(ErrorData)
handledboolean
]
Response
application/json
[ { "id": "string", "title": "string", "message": "string", "errorResponses": [], "selectedResponse": "string", "timeStamp": "2019-08-24T14:15:22Z", "severity": "string", "groupId": "string", "errorData": [], "handled": true } ]

Clears all the pending errors

Request

Security
Bearer
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/errors/clear-errors' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The number of errors cleared

Bodyapplication/json
numberOfErrorsClearedinteger(int32)
numberOfErrorsNotClearedinteger(int32)
Response
application/json
{ "numberOfErrorsCleared": 0, "numberOfErrorsNotCleared": 0 }

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations